<?php
    session_start();
    if(!empty($_POST["logout"])) {
        $_SESSION["user_id"] = "";
        header("Location: portal.php");
        session_destroy();
    }
    else if(empty($_SESSION["user_id"]))
    {
    header("Location: portal.php");
    session_destroy();
    }
    
    else
    {
    
    
    
    ?>

<!DOCTYPE html>
<html lang="en-us">
<head>

<meta charset="utf-8">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta name="description" content="">
<meta name="author" content="">


<!-- MetisMenu CSS -->
<link href="../vendor/metisMenu/metisMenu.min.css" rel="stylesheet">


<title>Idhayam-G Future Sculptors</title>

<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css"/>
<link rel="stylesheet" href="https://cdn.datatables.net/1.10.11/css/jquery.dataTables.min.css"/>
<link rel="stylesheet" href="https://cdn.datatables.net/buttons/1.1.2/css/buttons.dataTables.min.css"/>
<link rel="stylesheet" href="https://cdn.datatables.net/select/1.1.2/css/select.dataTables.min.css"/>
<link rel="stylesheet" href="https://cdn.datatables.net/responsive/2.0.2/css/responsive.dataTables.min.css"/>

<!-- Bootstrap Core CSS -->
<link href="../vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">

<!-- Custom CSS -->
<link href="../dist/css/sb-admin-2.css" rel="stylesheet">

<!-- Custom Fonts -->
<link href="../vendor/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">

<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css"/>

<style>
table.dataTable tbody>tr.selected,
table.dataTable tbody>tr>.selected {
    background-color: #A2D3F6;
}
</style>
</head>

<?php
    
    require_once 'db_connect.php';
    //$db = new DB_CONNECT();
?>

<body>

<div id="wrapper">

<?php include('navigation_bar.php'); ?>

<div id="page-wrapper">
<div class="row">
<div class="col-lg-12">
<h1 class="page-header">Settings</h1>
</div>
<!-- /.col-lg-12 -->
</div>
<!-- /.row -->

<div class="row">
<div class="col-lg-12">

<div class="panel panel-default">
<div class="panel-heading">Price List</div>

<div class="row">
<div class="col-lg-8">
<div class="panel-body">

<br>
<table width="100%" cellpadding="0" cellspacing="0" border="0" class="dataTable table table-striped table-bordered" id="prices-table">
<thead>
<?php
    
    $result = mysqli_query($conn,"SHOW columns FROM Prices") or die(mysqli_error());
    $column_count = mysqli_num_rows($result);
    
    if (mysqli_num_rows($result) > 0) {
        
        while ($row = mysqli_fetch_array($result)) {
            
            echo "<th>$row[0]</th>";
            
        }
    }
    ?>

</thead>
<tbody>
<?php
    $result = mysqli_query($conn,"SELECT * FROM Prices") or die(mysqli_error());
    
    if (mysqli_num_rows($result) > 0) {
        
        while ($row = mysqli_fetch_array($result)) {
            
            echo "<tr>";
            
            $count=0;
            while($count<$column_count)
                {
                $value = $row[$count];
                echo "<td>$value</td>";
                $count++;
                }
            
            echo"</tr>";
            
            
        }
    }
    ?>
</tbody>
</table>
</div>
</div>
</div>
</div>

</div>
</div>
</div>
</div>

<!-- jQuery -->
<script src="../vendor/jquery/jquery.min.js"></script>

<!-- Bootstrap Core JavaScript -->
<script src="../vendor/bootstrap/js/bootstrap.min.js"></script>

<!-- Metis Menu Plugin JavaScript -->
<script src="../vendor/metisMenu/metisMenu.min.js"></script>

<!-- Custom Theme JavaScript -->
<script src="../dist/js/sb-admin-2.js"></script>

<script src="https://cdn.datatables.net/1.10.11/js/jquery.dataTables.min.js"></script>
<script src="js/dataTables.altEditor.free.js"></script>
<script src="https://cdn.datatables.net/buttons/1.1.2/js/dataTables.buttons.min.js"></script>
<script src="https://cdn.datatables.net/select/1.1.2/js/dataTables.select.min.js"></script>
<script src="https://cdn.datatables.net/responsive/2.0.2/js/dataTables.responsive.min.js"></script>

<!-- Metis Menu Plugin JavaScript -->
<script src="../vendor/metisMenu/metisMenu.min.js"></script>
<!-- Custom Theme JavaScript -->
<script src="../dist/js/sb-admin-2.js"></script>

<script>
$(document).ready(function() {
                  
                  
                  var myTable;
                  
                  myTable = $('#prices-table').DataTable({
                                                            "sPaginationType": "full_numbers",
                                                            dom: 'Bfrtip',        // Needs button container
                                                            select: 'single',
                                                            responsive: true,
                                                            altEditor: true,     // Enable altEditor
                                                            buttons: [{
                                                            text: 'Add',
                                                            name: 'add'        // do not change name
                                                            },
                                                            {
                                                            extend: 'selected', // Bind to Selected row
                                                            text: 'Edit',
                                                            name: 'edit'        // do not change name
                                                            },
                                                            {
                                                            extend: 'selected', // Bind to Selected row
                                                            text: 'Delete',
                                                            name: 'delete'      // do not change name
                                                            }]
                                                            
                                                            });
                  
                  
                  
                  });
</script>


<script type='text/javascript'>
function logout() {
    
    document.getElementById("logout").submit();
    
}
</script>

</body>

</html>

<?php } ?>
