<?php
    function parseToXML($htmlStr)
    {
    $xmlStr=str_replace('<','&lt;',$htmlStr);
    $xmlStr=str_replace('>','&gt;',$xmlStr);
    $xmlStr=str_replace('"','&quot;',$xmlStr);
    $xmlStr=str_replace("'",'&#39;',$xmlStr);
    $xmlStr=str_replace("&",'&amp;',$xmlStr);
    return $xmlStr;
    }
    
    require_once 'db_connect.php';
    //$db = new DB_CONNECT();
    
    // Select all the rows in the markers table
    $query = "SELECT * FROM Users WHERE 1";
    $result = mysqli_query($conn,$query);
    if (!$result) {
        die('Invalid query: ' . mysqli_error());
    }
    
    header("Content-type: text/xml");
    
    // Start XML file, echo parent node
    echo '<markers>';
    $ind = 1;
    
    // Iterate through the rows, printing XML nodes for each
    while ($row = @mysqli_fetch_assoc($result)){
        
        if($row['Latitude']!="" && $row['Latitude']!=0)
            {
            // Add to XML document node
            echo '<marker ';
            echo 'id="' . $ind . '" ';
            echo 'name="' . parseToXML($row['Name']) . '" ';
            echo 'address="' . parseToXML($row['Address']) . '" ';
            echo 'lat="' . $row['Latitude'] . '" ';
            echo 'lng="' . $row['Longitude'] . '" ';
            echo '/>';
            $ind++;
            }
    }
    
    // End XML file
    echo '</markers>';
    ?>